public static final class AddGatewayAuthConsumerRequest.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
AddGatewayAuthConsumerRequest.Builder |
acceptLanguage(String acceptLanguage)
The language of the response.
|
AddGatewayAuthConsumerRequest |
build() |
AddGatewayAuthConsumerRequest.Builder |
description(String description)
The description of the consumer.
|
AddGatewayAuthConsumerRequest.Builder |
encodeType(String encodeType)
The encryption type.
|
AddGatewayAuthConsumerRequest.Builder |
gatewayUniqueId(String gatewayUniqueId)
The unique ID of the gateway.
|
AddGatewayAuthConsumerRequest.Builder |
jwks(String jwks)
The JWT public key.
|
AddGatewayAuthConsumerRequest.Builder |
keyName(String keyName)
The name of the key used for JWT-based identity authentication.
|
AddGatewayAuthConsumerRequest.Builder |
keyValue(String keyValue)
The value of the key used for JWT-based identity authentication.
|
AddGatewayAuthConsumerRequest.Builder |
name(String name)
The name of the consumer.
|
AddGatewayAuthConsumerRequest.Builder |
tokenName(String tokenName)
The names of the parameters that are required to verify each token.
|
AddGatewayAuthConsumerRequest.Builder |
tokenPass(Boolean tokenPass)
Specifies whether to enable pass-through.
|
AddGatewayAuthConsumerRequest.Builder |
tokenPosition(String tokenPosition)
The positions of the parameters that are required to verify each token.
|
AddGatewayAuthConsumerRequest.Builder |
tokenPrefix(String tokenPrefix)
The prefixes of the parameters that are required to verify each token.
|
AddGatewayAuthConsumerRequest.Builder |
type(String type)
The authentication type.
|
public AddGatewayAuthConsumerRequest.Builder acceptLanguage(String acceptLanguage)
The language of the response. Valid values:
zh
public AddGatewayAuthConsumerRequest.Builder description(String description)
The description of the consumer.
example:description
public AddGatewayAuthConsumerRequest.Builder encodeType(String encodeType)
The encryption type. Valid values:
RSA
public AddGatewayAuthConsumerRequest.Builder gatewayUniqueId(String gatewayUniqueId)
The unique ID of the gateway.
This parameter is required.
example:gw-c70622ff52fe49beb29bea9a6f52****
public AddGatewayAuthConsumerRequest.Builder jwks(String jwks)
The JWT public key. The JSON format is supported.
example:{"keys":[{"e":"AQAB","kid":"DHFbpoIUqrY8t2zpA2qXfCmr5VO5ZEr4RzHU_-envvQ","kty":"RSA","n":"xAE7eB6qugXyCAG3yhh7pkDkT65pHymX-P7KfIupjf59vsdo91bSP9C8H07pSAGQO1MV_xFj9VswgsCg4R6otmg5PV2He95lZdHtOcU5DXIg_pbhLdKXbi66GlVeK6ABZOUW3WYtnNHD-91gVuoeJT_DwtGGcp4ignkgXfkiEm4sw-4sfb4qdt5oLbyVpmW6x9cfa7vs2WTfURiCrBoUqgBo_-4WTiULmmHSGZHOjzwa8WtrtOQGsAFjIbno85jp6MnGGGZPYZbDAa_b3y5u-YpW7ypZrvD8BgtKVjgtQgZhLAGezMt0ua3DRrWnKqTZ0BJ_EyxOGuHJrLsn00fnMQ"}]}
public AddGatewayAuthConsumerRequest.Builder keyName(String keyName)
The name of the key used for JWT-based identity authentication.
example:iss
public AddGatewayAuthConsumerRequest.Builder keyValue(String keyValue)
The value of the key used for JWT-based identity authentication.
example:abcd
public AddGatewayAuthConsumerRequest.Builder name(String name)
The name of the consumer.
This parameter is required.
example:name
public AddGatewayAuthConsumerRequest.Builder tokenName(String tokenName)
The names of the parameters that are required to verify each token. By default, each token is prefixed with Bearer and stored in the Authorization header, such as Authorization: Bearer <Content of a token>.
Authorization
public AddGatewayAuthConsumerRequest.Builder tokenPass(Boolean tokenPass)
Specifies whether to enable pass-through.
example:true
public AddGatewayAuthConsumerRequest.Builder tokenPosition(String tokenPosition)
The positions of the parameters that are required to verify each token. By default, each token is prefixed with Bearer and stored in the Authorization header, such as Authorization: Bearer <Content of a token>.
HEADER
public AddGatewayAuthConsumerRequest.Builder tokenPrefix(String tokenPrefix)
The prefixes of the parameters that are required to verify each token. By default, each token is prefixed with Bearer and stored in the Authorization header, such as Authorization: Bearer <Content of a token>.
Bearer
public AddGatewayAuthConsumerRequest.Builder type(String type)
The authentication type. Valid values:
This parameter is required.
example:JWT
public AddGatewayAuthConsumerRequest build()
Copyright © 2026. All rights reserved.